package com.goldenwater.slaj.hidd.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hidd.mapper.TBusiHiddCountMapper;
import com.goldenwater.slaj.hidd.domain.TBusiHiddCount;
import com.goldenwater.slaj.hidd.service.ITBusiHiddCountService;

/**
 * 隐患统计 服务层实现
 */
@Service
public class TBusiHiddCountServiceImpl implements ITBusiHiddCountService {

    @Autowired
    private TBusiHiddCountMapper tBusiHiddCountMapper;

    /**
     * 查询隐患统计信息
     * @param id 查询条件
     * @return 隐患统计信息
     */
    @Override
    public TBusiHiddCount selectTBusiHiddCountById(Long id) {
        return tBusiHiddCountMapper.selectTBusiHiddCountById(id);
    }

    /**
     * 查询隐患统计列表
     * @param tBusiHiddCount 隐患统计查询条件
     * @return 隐患统计集合
     */
    @Override
    public List<TBusiHiddCount> selectTBusiHiddCountList(TBusiHiddCount tBusiHiddCount) {
        return tBusiHiddCountMapper.selectTBusiHiddCountList(tBusiHiddCount);
    }

    /**
     * 新增隐患统计
     * @param tBusiHiddCount 隐患统计信息
     * @return 影响行数
     */
    @Override
    public int insertTBusiHiddCount(TBusiHiddCount tBusiHiddCount) {
        return tBusiHiddCountMapper.insertTBusiHiddCount(tBusiHiddCount);
    }

    /**
     * 修改隐患统计
     * @param tBusiHiddCount 隐患统计信息
     * @return 影响行数
     */
    @Override
    public int updateTBusiHiddCount(TBusiHiddCount tBusiHiddCount) {
        return tBusiHiddCountMapper.updateTBusiHiddCount(tBusiHiddCount);
    }

    /**
     * 删除隐患统计
     * @param id 隐患统计主键
     * @return 影响行数
     */
    @Override
    public int deleteTBusiHiddCountById(Long id) {
        return tBusiHiddCountMapper.deleteTBusiHiddCountById(id);
    }

    /**
     * 批量删除隐患统计
     * @param ids 隐患统计主键数组
     * @return 影响行数
     */
    @Override
    public int deleteTBusiHiddCountByIds(Long[] ids) {
        return tBusiHiddCountMapper.deleteTBusiHiddCountByIds(ids);
    }
}
